import { Post } from "../../../lib/request/method"
import { transformHealthIndex2Chart } from "./health-index";
const careId=wx.getStorageSync('careId')
export function healthIndexReportMethod() {
  if(careId)
  {
    return Post(`/patientCrManage/getPcrProcessById/${careId}`, {}, {
      transform({ data }: any) { 
        return transformHealthIndex2Chart(<any[]>data.patientQuotaGroups)
       }
    })

  }else{
    return Post(`/patientQuota/getQuovalRecord`, {}, {
      transform({ data }) { return transformHealthIndex2Chart(<any[]>data) }
    })
  }
  
}